/*******************************************************************************
 * Copyright (c) 2013 Boeing.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     Boeing - initial API and implementation
 *******************************************************************************/
package org.eclipse.osee.authentication.admin;

import org.eclipse.osee.authentication.admin.internal.AuthenticationUtil;

/**
 * @author Roberto E. Escobar
 */
public interface AuthenticationAdmin {

   public static final AuthenticatedUser ANONYMOUS_USER = AuthenticationUtil.newAnonymousUser();

   AuthenticatedUser authenticate(AuthenticationRequest authenticationRequest);

   boolean isSchemeAllowed(String scheme);

   Iterable<String> getAllowedSchemes();

   Iterable<String> getAvailableSchemes();

   String getDefaultScheme();

}
